/*******************************************************************************
* Copyright (c) 2006 IONA Technologies PLC
* All rights reserved. This program and the accompanying materials
* are made available under the terms of the Eclipse Public License v1.0
* which accompanies this distribution, and is available at
* http://www.eclipse.org/legal/epl-v10.html
* 
* Contributors:
*     IONA Technologies PLC - initial API and implementation
*******************************************************************************/
package org.eclipse.stp.common.logging;

public interface ILogWriter {

    /**
     * 
     * @param message
     * @param t
     */
    void debug(Object message, Throwable t);

    /**
     * 
     * @param message
     */
    void debug(Object message);

    /**
     * 
     * @param message
     * @param t
     */
    void info(Object message, Throwable t);

    /**
     * 
     * @param message
     */
    void info(Object message);

    /**
     * 
     * @param message
     * @param t
     */
    void error(Object message, Throwable t);

    /**
     * 
     * @param message
     */
    void error(Object message);
}
